Bug 1309755 - ip6.arpa lookup failure uses previous successful lookup
Summary: ip6.arpa lookup failure uses previous successful lookup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iftop
Version: 25
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-18 15:47 UTC by Stuart D Gathman
Modified: 2017-04-07 16:48 UTC (History)
2 users (show)

Fixed In Version: iftop-1.0-0.14.pre4.fc26 iftop-1.0-0.14.pre4.fc25 iftop-1.0-0.14.pre4.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of: 1120254
Environment:
Last Closed: 2017-04-03 16:07:15 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot with DNS lookup OFF (83.46 KB, image/png)
2016-02-18 15:51 UTC, Stuart D Gathman
no flags Details
Screenshot with DNS lookup ON (91.46 KB, image/png)
2016-02-18 15:52 UTC, Stuart D Gathman
no flags Details
upstream patch to fix the issue (1.73 KB, text/plain)
2017-03-20 03:02 UTC, Stuart D Gathman
no flags Details

Description Stuart D Gathman 2016-02-18 15:47:41 UTC
+++ This bug was initially created as a clone of Bug #1120254 +++

Description of problem:
IP6 hostnames are shown even when ip6.arpa lookup returns NXDOMAIN

Version-Release number of selected component (if applicable):
iftop-1.0-0.7.pre4.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. monitor ip6 interface, e.g. iftop -i sit3
2. toggle hostname lookup ('n') to see unmapped ips still get a name
3.

Actual results:
all IP6 addresses get mapped to a hostname, even when ip6.arpa returns NXDOMAIN.  The hostname used is the last successful lookup.

Expected results:
IP6 addresses with no mapping show the raw ip

Additional info:
This is probably pretty simple fix.  I'll try downloading the SRPM and maybe posting a patch.

--- Additional comment from Stuart D Gathman on 2014-07-17 09:49:55 EDT ---

It is not obvious where the bug is.  It will need some test cases.

--- Additional comment from Stuart D Gathman on 2014-07-17 20:23:54 EDT ---

It correctly displays ips so long as *none* can be looked up.  The *first* successful lookup then displays for all ips that cannot be lookup up.  The first successful lookup came from /etc/hosts for that experiment.  I don't know if rDNS would also do it.  

This greatly affects IP6 since many devices use auto "private" addresses, where the lower 64 bits is random, and changes every few minutes.  It would require a specialized dynamic DNS server to provide rDNS for these.

--- Additional comment from Stuart D Gathman on 2014-08-06 15:23:08 EDT ---

Order is frozen, so IPs on the left *should* be the same on the next screenshot with DNS on.

--- Additional comment from Stuart D Gathman on 2014-08-06 15:24:20 EDT ---

With DNS lookup on, left side shows all the same IP.

--- Additional comment from Stuart D Gathman on 2016-02-18 10:41:43 EST ---

Still broken in iftop-1.0 on Fedora 23 as well as EPEL

Comment 1 Stuart D Gathman 2016-02-18 15:51:35 UTC
Created attachment 1128266 [details]
Screenshot with DNS lookup OFF

Comment 2 Stuart D Gathman 2016-02-18 15:52:26 UTC
Created attachment 1128267 [details]
Screenshot with DNS lookup ON

Comment 3 Stuart D Gathman 2016-02-18 15:53:28 UTC
package version in Fedora 23: iftop-1.0-0.10.pre4.fc23.x86_64

Comment 4 Fedora End Of Life 2016-11-24 15:37:54 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Stuart D Gathman 2016-11-24 16:36:37 UTC
Still broken in iftop-1.0-0.11.pre4.fc24.x86_64 and on f25.

Comment 6 Stuart D Gathman 2017-03-20 03:02:54 UTC
Created attachment 1264692 [details]
upstream patch to fix the issue

Comment 7 Stuart D Gathman 2017-03-20 03:07:08 UTC
The official 1.0 release includes the patch, so latest upstream release would fix this issue.

Comment 8 Stuart D Gathman 2017-03-20 03:25:31 UTC
I have 1.0-3 ready to go, if you want to give me commit rights.  Here is the SPEC if you prefer:

Spec: https://gathman.org/linux/SPECS/iftop.spec
SRPM: https://gathman.org/linux/f27/src/iftop-1.0-3.fc27.src.rpm

Comment 9 Stuart D Gathman 2017-03-20 03:32:30 UTC
This is a potential security risk for the unwary (hopefully you don't put *too* much weight on what you see in iftop security wise), so since the fix has been available for some time, changing the priority to Urgent.

Comment 10 Fedora Update System 2017-03-22 00:19:57 UTC
iftop-1.0-0.14.pre4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-adf16ebea4

Comment 11 Fedora Update System 2017-03-22 00:20:57 UTC
iftop-1.0-0.14.pre4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f73432b8e2

Comment 12 Fedora Update System 2017-03-22 00:22:00 UTC
iftop-1.0-0.14.pre4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-37cebe70bd

Comment 13 Fedora Update System 2017-03-22 15:28:47 UTC
iftop-1.0-0.14.pre4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-37cebe70bd

Comment 14 Fedora Update System 2017-03-22 20:22:25 UTC
iftop-1.0-0.14.pre4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-adf16ebea4

Comment 15 Fedora Update System 2017-03-22 20:56:24 UTC
iftop-1.0-0.14.pre4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f73432b8e2

Comment 16 Fedora Update System 2017-04-03 16:07:15 UTC
iftop-1.0-0.14.pre4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-04-05 05:23:13 UTC
iftop-1.0-0.14.pre4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-04-07 16:48:26 UTC
iftop-1.0-0.14.pre4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.